Bug 1608844 - after removing a zone, messages related to the zone linger in the database
Summary: after removing a zone, messages related to the zone linger in the database
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: All
OS: All
high
low
Target Milestone: GA
: 5.9.4
Assignee: Brandon Dunne
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On: 1498452
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-26 11:46 UTC by Satoe Imaishi
Modified: 2018-09-04 18:02 UTC (History)
10 users (show)

Fixed In Version: 5.9.4.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1498452
Environment:
Last Closed: 2018-09-04 18:01:40 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:02:39 UTC

Comment 2 CFME Bot 2018-07-26 11:51:14 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/f44ec838fa6040a21329eeea9cb4ce64269d9744
commit f44ec838fa6040a21329eeea9cb4ce64269d9744
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Fri May  4 12:20:51 2018 -0400
Commit:     Joe Rafaniello <jrafanie@users.noreply.github.com>
CommitDate: Fri May  4 12:20:51 2018 -0400

    Merge pull request #17374 from bdunne/cleanup_queued_items_on_zone_deletion

    Clean up queued items on Zone#destroy
    (cherry picked from commit a937a31517392747e72dfed604449ace9ff57936)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1608844

 app/models/zone.rb | 1 +
 spec/models/zone_spec.rb | 8 +
 2 files changed, 9 insertions(+)

Comment 3 Tasos Papaioannou 2018-08-10 15:21:38 UTC
Verified on 5.9.4.3.

Comment 5 errata-xmlrpc 2018-09-04 18:01:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.